Espresso version: 3.2.3

To compile espresso 3.2.3, load the modules mkl and fftw (make sure you also load these in your run file) and set the following environmental variables:

setenv FFT_LIBS -lfftw3
setenv LDFLAGS -lmkl_core

The former allows it to find the FFTW libraries, the latter works around the problem with MklLapack. You should then be able to run ./configure and then make.

-- JohnRowe - 09 Jan 2008

This topic: Zen > WebHome > ProblemsAndWorkarounds > QuantumnEspresso
History: r2 - 29 Apr 2008 - 13:11:07 - DavidAcreman
 
This site is powered by the TWiki collaboration platformCopyright © by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding Astrophysics Wiki? Send feedback